Update checklist item values

This request updates line of credit account Checklists.

   Click here to learn more about this request

Checklists are a tool that helps users track the progress of a process. When a checklist item is marked as complete, LoanPro records the date, time, and user.

Checklists are created and configured within your tenant settings and then apply to each line of credit account individually.

The payload of this request requires the ID of the checklist item and a 1 or 0 value to represent its completion status. To mark a checklist item as complete, set the "checklistItemValue" field to 1.

To pull a list of checklist item IDs, send the following GET request:

https://loanpro.simnang.com/api/public/api/1/odata.svc/LineOfCredits({id})/ChecklistItemValues

To learn more about Checklists and how they function within the LoanPro UI, read our Checklists article.

Database

For more information regarding checklist database tables, see the following articles:

Database – Checklist Entity (checklist_entity)

Database – Checklist Item Entity (checklist_item_entity)

Database – Checklist Item To Checklist Entity Map (checklist_item__entity)

{
    "ChecklistItemValues": {
        "results": [
            {
                "checklistItemId": 16,
                "checklistItemValue": 1
            }
        ]
    }
}
Path Params
int32
required

The ID of the line of credit account.

Body Params
ChecklistItemValues
object
required

This object holds checklist item value information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json